Фиксим I18n::InvalidLocale (:en is not a valid locale)

Работая над небольшой ruby-библиотекой я настраивал локализацию при помощи i18n и столкнулся с ошибкой I18n::InvalidLocale (:en is not a valid locale) (я настраивал только /locales/en.yml).

При работе с i18n в вашем руби-скрипте нужно добавить следующую строку:
I18n.config.available_locales = :en
Соответственно :en - моя локаль, которую я хочу использовать. В вашем отдельном случае эта настройка может отличаться.
Наверх